From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 1 of 5] USB documentation update

Hi,

Here's a patch against 2.5.2-pre10 that adds the usb host controller api
section to the kernel-api documentation.  The patch was written by David
Brownell.

thanks,

greg k-h


diff -Nru a/Documentation/DocBook/Makefile b/Documentation/DocBook/Makefile
--- a/Documentation/DocBook/Makefile	Tue Jan  8 09:29:37 2002
+++ b/Documentation/DocBook/Makefile	Tue Jan  8 09:29:37 2002
@@ -98,6 +98,7 @@
 		$(TOPDIR)/drivers/sound/sound_firmware.c \
 		$(TOPDIR)/drivers/net/wan/syncppp.c \
 		$(TOPDIR)/drivers/net/wan/z85230.c \
+		$(TOPDIR)/drivers/usb/hcd.c \
 		$(TOPDIR)/drivers/usb/usb.c \
 		$(TOPDIR)/drivers/video/fbmem.c \
 		$(TOPDIR)/drivers/video/fbcmap.c \
diff -Nru a/Documentation/DocBook/kernel-api.tmpl b/Documentation/DocBook/kernel-api.tmpl
--- a/Documentation/DocBook/kernel-api.tmpl	Tue Jan  8 09:29:37 2002
+++ b/Documentation/DocBook/kernel-api.tmpl	Tue Jan  8 09:29:37 2002
@@ -281,6 +281,14 @@
 !Edrivers/usb/usb.c
     </sect1>
 
+    <sect1><title>Host Controller APIs</title>
+    <para>These APIs are only for use by host controller drivers,
+    most of which implement standard register interfaces such as
+    EHCI, OHCI, or UHCI.
+    </para>
+!Edrivers/usb/hcd.c
+    </sect1>
+
   </chapter>
 
   <chapter id="uart16x50">

